Bug 1486212 - Restore hashlib FIPS patch
Summary: Restore hashlib FIPS patch
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: python3
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1724745 1734126
TreeView+ depends on / blocked
 
Reported: 2017-08-29 08:45 UTC by Petr Viktorin
Modified: 2019-07-29 16:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-23 13:15:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Viktorin 2017-08-29 08:45:54 UTC
Patch 146 in python3.spec, which adds "usedforsecurity" arguments to hashlib functions (used to override FIPS mode restrictions in OpenSSL), was removed due to incompatibility with OpenSSL 1.1.0.
Reimplement and restore it.

The patch was removed in commit 737c23e8071caa7a8ac9573b677f1af3977f362c.

Comment 1 Fedora End Of Life 2018-02-20 15:26:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Charalampos Stratakis 2018-04-19 14:02:17 UTC
WIP PR upstream: https://github.com/python/cpython/pull/5548

Comment 3 Petr Viktorin 2018-09-24 12:36:52 UTC
This is currently blocked by compatibility with OpenSSL 1.1.1.

Comment 4 Miro Hrončok 2019-04-16 13:15:23 UTC
Relevant upstream change of PEP 452 https://github.com/python/peps/pull/530

Comment 5 Ben Cotton 2019-05-02 19:40:38 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Petr Viktorin 2019-07-23 13:15:16 UTC
The "usedforsecurity" flags aren't useful for FIPS compliance in RHEL.
On the RHEL side, there might need to be some changes, and we'd like to push them upstream. But there's no reason to track this in Fedora.


Note You need to log in before you can comment on or make changes to this bug.